# -*- coding: utf-8 -*-

# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from vertexai.rag.rag_data import (
    create_corpus,
    update_corpus,
    list_corpora,
    get_corpus,
    delete_corpus,
    upload_file,
    import_files,
    import_files_async,
    get_file,
    list_files,
    delete_file,
)

from vertexai.rag.rag_retrieval import (
    retrieval_query,
)

from vertexai.rag.rag_store import (
    Retrieval,
    VertexRagStore,
)
from vertexai.rag.utils.resources import (
    ChunkingConfig,
    Filter,
    JiraQuery,
    JiraSource,
    LayoutParserConfig,
    Pinecone,
    RagCorpus,
    RagEmbeddingModelConfig,
    RagFile,
    RagManagedDb,
    RagResource,
    RagRetrievalConfig,
    RagVectorDbConfig,
    SharePointSource,
    SharePointSources,
    SlackChannel,
    SlackChannelsSource,
    TransformationConfig,
    VertexPredictionEndpoint,
    VertexVectorSearch,
)


__all__ = (
    "ChunkingConfig",
    "Filter",
    "JiraQuery",
    "JiraSource",
    "LayoutParserConfig",
    "Pinecone",
    "RagCorpus",
    "RagEmbeddingModelConfig",
    "RagFile",
    "RagManagedDb",
    "RagResource",
    "RagRetrievalConfig",
    "RagVectorDbConfig",
    "Retrieval",
    "SharePointSource",
    "SharePointSources",
    "SlackChannel",
    "SlackChannelsSource",
    "TransformationConfig",
    "VertexRagStore",
    "VertexPredictionEndpoint",
    "VertexVectorSearch",
    "create_corpus",
    "delete_corpus",
    "delete_file",
    "get_corpus",
    "get_file",
    "import_files",
    "import_files_async",
    "list_corpora",
    "list_files",
    "retrieval_query",
    "upload_file",
    "update_corpus",
)
